Index: testsuites/tmtests/tm25/system.h
===================================================================
--- testsuites/tmtests/tm25/system.h	(revision d6afec1859b2a589da52a0d26111affa0b6a1662)
+++ testsuites/tmtests/tm25/system.h	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,55 +1,23 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
 /*  system.h
  *
  *  This include file is used by all tests in the Time Suite.
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
 
 
-#include <tmacros.h>
+#include <rtems.h>
 
-/* functions */
+#include "coverhd.h"
+#include "tmacros.h"
 
-rtems_task Init(
-  rtems_task_argument argument
-);
-
-#include <timesys.h>
-
-/* configuration information */
-
-#define CONFIGURE_APPLICATION_NEEDS_SIMPLE_CONSOLE_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
-
-#define CONFIGURE_MAXIMUM_TASKS              (2 + OPERATION_COUNT)
-#define CONFIGURE_MAXIMUM_SEMAPHORES         1
-
-#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-
-#include <rtems/confdefs.h>
-
-/* end of include file */
+#include "timesys.h"
+#include "timegvar.h"
Index: testsuites/tmtests/tm25/task1.c
===================================================================
--- testsuites/tmtests/tm25/task1.c	(revision d6afec1859b2a589da52a0d26111affa0b6a1662)
+++ testsuites/tmtests/tm25/task1.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -1,44 +1,20 @@
-/* SPDX-License-Identifier: BSD-2-Clause */
-
 /*
- *  COPYRIGHT (c) 1989-2013.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
  *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
  *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
  *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
- * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
- * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
- * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
- * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
- * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
- * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
- * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
- * POSSIBILITY OF SUCH DAMAGE.
+ *  $Id$
  */
 
-#if !defined(OPERATION_COUNT)
-#define OPERATION_COUNT 100
-#endif
-
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#include <rtems/btimer.h>
-
-#define CONFIGURE_INIT
 #include "system.h"
-
-const char rtems_test_name[] = "TIME TEST 25";
+#undef EXTERN
+#define EXTERN
+#include "conftbl.h"
+#include "gvar.h"
 
 rtems_id Semaphore_id;
@@ -57,10 +33,8 @@
 {
   rtems_id          task_id;
-  uint32_t    index;
+  rtems_unsigned32  index;
   rtems_status_code status;
 
-  Print_Warning();
-
-  TEST_BEGIN();
+  puts( "\n\n*** TIME TEST 25 ***" );
 
   status = rtems_semaphore_create(
@@ -68,5 +42,4 @@
     0,
     RTEMS_DEFAULT_ATTRIBUTES,
-    RTEMS_NO_PRIORITY,
     &Semaphore_id
   );
@@ -75,6 +48,6 @@
   status = rtems_task_create(
     rtems_build_name( 'L', 'O', 'W', ' ' ),
-    RTEMS_MAXIMUM_PRIORITY - 1u,
-    RTEMS_MINIMUM_STACK_SIZE,
+    254,
+    1024,
     RTEMS_DEFAULT_MODES,
     RTEMS_DEFAULT_ATTRIBUTES,
@@ -89,6 +62,6 @@
     status = rtems_task_create(
       rtems_build_name( 'T', 'I', 'M', 'E' ),
-      (RTEMS_MAXIMUM_PRIORITY / 2u) + 1u,
-      RTEMS_MINIMUM_STACK_SIZE,
+      128,
+      1024,
       RTEMS_DEFAULT_MODES,
       RTEMS_DEFAULT_ATTRIBUTES,
@@ -101,5 +74,6 @@
   }
 
-  rtems_task_exit();
+  status = rtems_task_delete( RTEMS_SELF );
+  directive_failed( status, "rtems_task_delete of RTEMS_SELF" );
 }
 
@@ -119,17 +93,16 @@
 )
 {
-  benchmark_timer_initialize();
+  Timer_initialize();
     (void) rtems_clock_tick();
-  end_time = benchmark_timer_read();
+  end_time = Read_timer();
 
   put_time(
-    "rtems_clock_tick: only case",
+    "rtems_clock_tick",
     end_time,
     1,
     0,
-    0
+    CALLING_OVERHEAD_CLOCK_TICK
   );
 
-  TEST_END();
-  rtems_test_exit( 0 );
+  exit( 0 );
 }
